﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace KursachMukha692gr
{
    /// <summary>
    /// Логика взаимодействия для CatTrenerUpdate.xaml
    /// </summary>
    public partial class CatTrenerUpdate : Window
    {
        public DataTable Select(string selectSQL)
        {
            DataTable dataTable = new DataTable("dataBase");
            SqlConnection sqlConnection = new SqlConnection("server=mssql; Trusted_Connection=YES;DataBase=gr692_mkm;");
            sqlConnection.Open();
            SqlCommand sqlCommand = sqlConnection.CreateCommand();
            sqlCommand.CommandText = selectSQL;
            SqlDataAdapter sqlDataAdapter = new SqlDataAdapter(sqlCommand);
            sqlDataAdapter.Fill(dataTable);
            sqlConnection.Close();
            return dataTable;
        }
        public DataTable Update(string selectSQL)
        {
            DataTable dataTable = new DataTable("dataBase");
            SqlConnection sqlConnection = new SqlConnection("server=mssql; Trusted_Connection=YES;DataBase=gr692_mkm;");
            sqlConnection.Open();
            SqlCommand sqlCommand = sqlConnection.CreateCommand();
            sqlCommand.CommandText = selectSQL;
            SqlDataAdapter sqlDataAdapter = new SqlDataAdapter(sqlCommand);
            sqlDataAdapter.Fill(dataTable);
            sqlConnection.Close();
            return dataTable;
        }
        public CatTrenerUpdate()
        {
            InitializeComponent();
        }

        private void Button_Click_Up(object sender, RoutedEventArgs e)
        {
            if (id_turik.Text.Length != 0 && Name.Text.Length != 0)
            {
                bool turik = false, imya = false;
                DataTable sel = Select("select * from [dbo].[infotrener] where id = " + id_turik.Text);
                for (int i = 0; i < id_turik.Text.Length; i++)
                {
                    if (turik)
                    {
                        turik = false;
                    }
                    if (id_turik.Text[i] >= '1' && id_turik.Text[i] <= '9')
                    {
                        if (sel.Rows.Count > 0)
                        {
                            turik = true;
                        }
                        else
                        {
                            turik = false;
                        }

                    }
                    if (turik == false)
                    {
                        MessageBox.Show("Поле код тренера должно содержать только цифры или вы ввели код, которого нет");
                    }
                }
                for (int i = 0; i < Name.Text.Length; i++)
                {
                    if (imya)
                    {
                        imya = false;
                    }
                    if (Name.Text[i] >= '1' && Name.Text[i] <= '9' || Name.Text[i] >= 'A' && Name.Text[i] <= 'Z')
                    {
                        imya = true;
                        break;
                    }
                    if (imya == false)
                    {
                        MessageBox.Show("Поле тренерская категория должно содержать только английские буквы и цифры");
                        break;
                    }
                }
                if (turik && imya)
                {
                    DataTable upname = Update("update [dbo].[infotrener] set categoryTrener = '" + Name.Text + "' where id = " + id_turik.Text);
                    MessageBox.Show("Поле тренерская категория для id " + id_turik.Text + " успешно изменено");
                    ViborTrenerUpdate updateFamiliyaTrener = new ViborTrenerUpdate();
                    updateFamiliyaTrener.Show();
                    Close();
                }
                else
                {
                    MessageBox.Show("Неправильный формат");
                }
            }
            else
            {
                MessageBox.Show("Все поля должны быть введены");
            }
        }

        private void Button_Click_Back(object sender, RoutedEventArgs e)
        {
            ViborTrenerUpdate viborTrenerUpdate = new ViborTrenerUpdate();
            viborTrenerUpdate.Show();
            Close();
        }
    }
}
