﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace KursachMukha692gr
{
    /// <summary>
    /// Логика взаимодействия для DataUpdateUchenik.xaml
    /// </summary>
    public partial class DataUpdateUchenik : Window
    {
        List<string> Date = new List<string> {
            "0","1","2","3","4","5","6","7","8","9","."};
        public DataTable Update(string selectSQL)
        {
            DataTable dataTable = new DataTable("dataBase");
            SqlConnection sqlConnection = new SqlConnection("server=mssql; Trusted_Connection=YES;DataBase=gr692_mkm;");
            sqlConnection.Open();
            SqlCommand sqlCommand = sqlConnection.CreateCommand();
            sqlCommand.CommandText = selectSQL;
            SqlDataAdapter sqlDataAdapter = new SqlDataAdapter(sqlCommand);
            sqlDataAdapter.Fill(dataTable);
            sqlConnection.Close();
            return dataTable;
        }
        public DataTable Select(string selectSQL)
        {
            DataTable dataTable = new DataTable("dataBase");
            SqlConnection sqlConnection = new SqlConnection("server=mssql; Trusted_Connection=YES;DataBase=gr692_mkm;");
            sqlConnection.Open();
            SqlCommand sqlCommand = sqlConnection.CreateCommand();
            sqlCommand.CommandText = selectSQL;
            SqlDataAdapter sqlDataAdapter = new SqlDataAdapter(sqlCommand);
            sqlDataAdapter.Fill(dataTable);
            sqlConnection.Close();
            return dataTable;
        }
        public DataUpdateUchenik()
        {
            InitializeComponent();
        }

        private void Button_Click_Up(object sender, RoutedEventArgs e)
        {
            if (id_turik.Text.Length != 0 && Name.Text.Length != 0)
            {
                bool turik = false, imya = false;
                DataTable sel = Select("select * from [dbo].[infouchenik] where id = " + id_turik.Text);
                for (int i = 0; i < id_turik.Text.Length; i++)
                {
                    if (turik)
                    {
                        turik = false;
                    }
                    if (id_turik.Text[i] >= '1' && id_turik.Text[i] <= '9')
                    {
                        if (sel.Rows.Count > 0)
                        {
                            turik = true;
                        }
                        else
                        {
                            turik = false;
                        }
                    }
                    if (turik == false)
                    {
                        MessageBox.Show("Поле код ученика должно содержать только цифры или вы ввели код, которого нет");
                    }
                }
                for (int i = 0; i < Name.Text.Length; i++)
                {
                    if (imya)
                    {
                        imya = false;
                    }
                    for (int j = 0; j < Date.Count; j++)
                    {
                        if (Convert.ToString(Name.Text[i]).Contains(Date[j]))
                        {
                            imya = true;
                            break;
                        }
                    }
                    if (imya == false)
                    {
                        MessageBox.Show("Поле дата рождения должно содержать только цифры и знак '.''");
                        break;
                    }
                }
                if (turik && imya)
                {
                    DataTable upname = Update("update [dbo].[infouchenik] set dataUchenik = '" + Name.Text + "' where id = " + id_turik.Text);
                    MessageBox.Show("Поле дата рождения для id " + id_turik.Text + " успешно изменено");
                    ViborUchenikUpdate viborUchenikUpdate = new ViborUchenikUpdate();
                    viborUchenikUpdate.Show();
                    Close();
                }
                else
                {
                    MessageBox.Show("Неправильный формат");
                }
            }
            else
            {
                MessageBox.Show("Все поля должны быть введены");
            }
        }

        private void Button_Click_Back(object sender, RoutedEventArgs e)
        {
            ViborUchenikUpdate viborUchenikUpdate = new ViborUchenikUpdate();
            viborUchenikUpdate.Show();
            Close();
        }
    }
}
