﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace KursachMukha692gr
{
    /// <summary>
    /// Логика взаимодействия для IdDenUpdateRaspisaniye.xaml
    /// </summary>
    public partial class IdDenUpdateRaspisaniye : Window
    {
        public DataTable Update(string selectSQL)
        {
            DataTable dataTable = new DataTable("dataBase");
            SqlConnection sqlConnection = new SqlConnection("server=mssql; Trusted_Connection=YES;DataBase=gr692_mkm;");
            SqlCommand sqlCommand = sqlConnection.CreateCommand();
            sqlCommand.CommandText = selectSQL;
            SqlDataAdapter sqlDataAdapter = new SqlDataAdapter(sqlCommand);
            sqlDataAdapter.Fill(dataTable);
            sqlConnection.Close();
            return dataTable;
        }
        public DataTable Select(string selectSQL)
        {
            DataTable dataTable = new DataTable("dataBase");
            SqlConnection sqlConnection = new SqlConnection("server=mssql; Trusted_Connection=YES;DataBase=gr692_mkm;");
            sqlConnection.Open();
            SqlCommand sqlCommand = sqlConnection.CreateCommand();
            sqlCommand.CommandText = selectSQL;
            SqlDataAdapter sqlDataAdapter = new SqlDataAdapter(sqlCommand);
            sqlDataAdapter.Fill(dataTable);
            sqlConnection.Close();
            return dataTable;
        }
        public IdDenUpdateRaspisaniye()
        {
            InitializeComponent();
        }

        private void Button_Click_Back(object sender, RoutedEventArgs e)
        {
            ViborUpdateRaspisaniye updateRaspisaniye = new ViborUpdateRaspisaniye();
            updateRaspisaniye.Show();
            Close();
        }

        private void Button_Click_Up(object sender, RoutedEventArgs e)
        {
            if (id_turik.Text.Length != 0 && Name.Text.Length != 0)
            {
                bool turik = false, imya = false;
                DataTable sel1 = Select("select * from [dbo].[RASPISANIYE] where id = " + id_turik.Text);
                for (int i = 0; i < id_turik.Text.Length; i++)
                {
                    if (turik)
                    {
                        turik = false;
                    }
                    if (id_turik.Text[i] >= '1' && id_turik.Text[i] <= '9')
                    {
                        if (sel1.Rows.Count > 0)
                        {
                            turik = true;
                        }
                        else
                        {
                            turik = false;
                        }

                    }
                    if (turik == false)
                    {
                        MessageBox.Show("Поле код занятия должно содержать только цифры или вы ввели код, которого нет");
                    }
                }
                for (int i = 0; i < Name.Text.Length; i++)
                {
                    if (imya)
                    {
                        imya = false;
                    }
                    if (Name.Text[i] >= '1' && Name.Text[i] <= '7')
                    {
                        imya = true;
                    }
                    if (imya == false)
                    {
                        MessageBox.Show("Поле день недели должно содержать код дня недели (1-понедельник , 2-вторник, 3-среда, 4-четверг, 5-пятница, 6-суббота, 7-воскресенье)");
                    }
                }
                if (turik && imya)
                {
                    DataTable upname = Update("update [dbo].[RASPISANIYE] set fk_den_nedeli_id = '" + Name.Text + "' where id = " + id_turik.Text);
                    MessageBox.Show("Поле id дня недели для id " + id_turik.Text + " успешно изменено");
                    ViborUpdateRaspisaniye updateRaspisaniye = new ViborUpdateRaspisaniye();
                    updateRaspisaniye.Show();
                    Close();
                }
                else
                {
                    MessageBox.Show("Неправильный формат");
                }
            }
            else
            {
                MessageBox.Show("Все поля должны быть введены");
            }
        }
    }
}
